Foxit PDF SDK

Instance Methods | Properties | List of all members
FSPageNumberRange Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithPage_range:
| Constructor, with another page number range object. More...
(id) | - initWithStart_number:end_number:filter:
| Constructor, with parameters. More...
(void) | - set:end_number:filter:
| Set value. More...

## Properties
int | end_number
| Page number of the end page in current range, starting from 1.
FSRangeFilter | filter
| Filter type to decide which page numbers of this range would be used. Please refer to values starting from FSRangeAll and this should be one of these values.
int | start_number
| Page number of the start page in current range, starting from 1.

## Detailed Description

This class represents the page number range (not index range) which is used for class FSHeaderFooter .

See also
  FSHeaderFooter

## Method Documentation

## ◆ initWithPage_range:()

- (id) initWithPage_range: |  | (FSPageNumberRange*) | page_range |

Constructor, with another page number range object.

Parameters

  [in] | page_range | Another page number range object.

## ◆ initWithStart_number:end_number:filter:()

- (id) initWithStart_number: |  | (int) | start_number
end_number: |  | (int) | end_number
filter: |  | (FSRangeFilter) | filter

Constructor, with parameters.

Parameters

  [in] | start_number | Page number of the start page in current range, starting from 1.
  [in] | end_number | Page number of the end page in current range, starting from 1.
  [in] | filter | Filter type to decide which page numbers of this range would be used. Please refer to values starting from FSRangeAll and this should be one of these values.

## ◆ set:end_number:filter:()

- (void) set: |  | (int) | start_number
end_number: |  | (int) | end_number
filter: |  | (FSRangeFilter) | filter

Set value.

Parameters

  [in] | start_number | Page number of the start page in current range, starting from 1.
  [in] | end_number | Page number of the end page in current range, starting from 1.
  [in] | filter | Filter type to decide which page numbers of this range would be used. Please refer to values starting from FSRangeAll and this should be one of these values.

Returns
  None.